Subject: [PATCH] Support \eqref in RefTeX reference styles

From: Arash Esbati <[email-masked]>
Date: Wed, 18 Jul 2018 21:37:17 +0200

Dear all,

please find attached a patch which adds support for \eqref provided by
amsmath.sty to RefTeX reference styles.

I've already patched AUCTeX to support this, but I think non-AUCTeX
users can also benefit from this.

I would be grateful if somebody installs this on master.

TIA.  Best, Arash

>From 4932fe04f2b9344506eb9c369149160023ff33fc Mon Sep 17 00:00:00 2001
From: Arash Esbati <[email-masked]>
Date: Wed, 18 Jul 2018 21:20:12 +0200
Subject: [PATCH] Add \eqref to RefTeX's reference styles

* lisp/textmodes/reftex-vars.el (reftex-ref-style-alist): Add entry
for \eqref provided by amsmath.sty and bind it to "e" key.
---
 lisp/textmodes/reftex-vars.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/textmodes/reftex-vars.el b/lisp/textmodes/reftex-vars.el
index 11dbb8d570..5afea881a1 100644
--- a/lisp/textmodes/reftex-vars.el
+++ b/lisp/textmodes/reftex-vars.el
@@ -1030,7 +1030,9 @@ This is used to string together whole reference sets, like
     ("Hyperref" "hyperref"
      (("\\autoref" ?a) ("\\autopageref" ?u)))
     ("Cleveref" "cleveref"
-     (("\\cref" ?c) ("\\Cref" ?C) ("\\cpageref" ?d) ("\\Cpageref" ?D))))
+     (("\\cref" ?c) ("\\Cref" ?C) ("\\cpageref" ?d) ("\\Cpageref" ?D)))
+    ("AMSmath" "amsmath"
+     (("\\eqref" ?e))))
   "Alist of reference styles.
 Each element is a list of the style name, the name of the LaTeX
 package associated with the style or t for any package, and an
-- 
2.18.0